Skip to main content
GET
/
api
/
brand-studio
/
assets
List Assets Endpoint
curl --request GET \
  --url https://api.example.com/api/brand-studio/assets
{
  "assets": [
    {
      "created_at": "<string>",
      "file_path": "<string>",
      "filename": "<string>",
      "hash": "<string>",
      "id": "<string>",
      "mime_type": "<string>",
      "size_bytes": 123,
      "source_type": "upload",
      "garment_type": "shirt",
      "height": 123,
      "mood": "<string>",
      "tags_json": "[]",
      "width": 123
    }
  ]
}

Query Parameters

source_type
enum<string> | null
Available options:
upload,
screenshot,
photo,
reference
garment_type
enum<string> | null
Available options:
shirt,
pants,
jacket,
dress,
skirt,
coat,
accessories,
other

Response

Successful Response

assets
AssetResponse · object[]
required